Summary:    Easily test network connectivity
Name:        perl-Test-RequiresInternet
Version:    0.05
Release:    5%{?dist}
License:    GPL+ or Artistic
URL:        https://metacpan.org/release/Test-RequiresInternet
Source0:    https://cpan.metacpan.org/modules/by-module/Test/Test-RequiresInternet-%{version}.tar.gz

BuildRequires: coreutils findutils make perl-generators perl-interpreter
BuildRequires: perl(ExtUtils::MakeMaker) perl(Socket) perl(strict) perl(warnings) perl(Test::More)
BuildArch:    noarch

%description
This module is intended to easily test network connectivity before functional tests begin to
non-local Internet resources. It does not require any modules beyond those supplied in core Perl.

If you do not specify a host/port pair, then the module defaults to using www.google.com on port 80.
You may optionally specify the port by its name, as in http or ldap. If you do this, the test module
will attempt to look up the port number using getservbyname. If you do specify a host and port, they
must be specified in pairs. It is a fatal error to omit one or the other.

If the environment variable NO_NETWORK_TESTING is set, then the tests will be skipped without
attempting any socket connections.

If the sockets cannot connect to the specified hosts and ports, the exception is caught, reported
and the tests skipped.

%prep
%autosetup -n Test-RequiresInternet-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::RequiresInternet.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.05-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.05-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.05-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.05-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 0.05-1
- initial pkg build
